import * as __WEBPACK_EXTERNAL_MODULE__builtins_index_mjs__ from "../__builtins__/index.mjs";
const useStyles = (0, __WEBPACK_EXTERNAL_MODULE__builtins_index_mjs__.genStyleHook)('upload', (token)=>{
    const { componentCls, antCls } = token;
    return {
        ["".concat(componentCls, "-wrapper")]: {
            '&.tb-upload-small': {
                ["".concat(componentCls, "-list-picture-card-container").concat(componentCls, "-list-picture-card-container")]: {
                    margin: '0 3px 3px 0 !important',
                    height: '32px !important',
                    width: '32px !important',
                    marginBlock: '0 !important'
                },
                ["".concat(componentCls, "-list-picture-card ").concat(componentCls, "-list-item-name").concat(componentCls, "-list-item-name")]: {
                    display: 'none !important'
                },
                ["".concat(componentCls, "-list-picture ").concat(componentCls, "-list-item, ").concat(componentCls, "-list-picture-card ").concat(componentCls, "-list-item")]: {
                    padding: '1px !important'
                }
            },
            '&.tb-upload-large': {
                ["".concat(componentCls, "-list-picture-card-container").concat(componentCls, "-list-picture-card-container")]: {
                    margin: '0 3px 3px 0 !important',
                    height: '160px !important',
                    width: '160px !important',
                    marginBlock: '0 28px !important'
                }
            },
            '&.tb-upload': {
                ["".concat(componentCls, "-list-item").concat(componentCls, "-list-item-list-type-picture-card")]: {
                    padding: '3px !important'
                },
                ["".concat(componentCls, "-list-item-thumbnail")]: {
                    img: {
                        objectFit: 'cover !important'
                    }
                },
                ["".concat(componentCls, "-list-item-actions")]: {
                    left: 'auto !important',
                    right: '2px !important',
                    top: '2px !important',
                    transform: 'none !important',
                    width: 'fit-content !important',
                    ["".concat(antCls, "-btn-text:hover, ").concat(antCls, "-btn-text:focus")]: {
                        background: 'rgba(0, 0, 0, 0.4)'
                    }
                },
                ["".concat(componentCls, "-list-picture-card ").concat(componentCls, "-list-item-info")]: {
                    overflow: 'inherit',
                    width: '100%',
                    height: '100%'
                },
                ["".concat(componentCls, "-list-picture-card ").concat(componentCls, "-list-item-name")]: {
                    display: 'block !important',
                    marginTop: '10px',
                    fontSize: '13px',
                    color: '#636363'
                },
                ["".concat(componentCls, "-list-picture-card ").concat(componentCls, "-list-item::before")]: {
                    display: 'none !important'
                },
                ["".concat(componentCls, "-list-picture-card ").concat(componentCls, "-list-item-progress")]: {
                    bottom: 'calc(50% - 11px)',
                    pointerEvents: 'none'
                },
                ["".concat(antCls, "-btn")]: {
                    background: 'rgba(0, 0, 0, 0.5)'
                },
                ["".concat(componentCls, "-list-picture-card-container")]: {
                    marginBlock: '0 28px !important'
                }
            }
        }
    };
});
export { useStyles };
